package com.bocloud.cmp.model.azure.slb;

/**
 * @ClassName: ProbeModel
 * @Description:运行状况探测
 * @author: zhenpingLi/李振平
 */
public class ProbeModel {

    private String uuid;
    private String name;
    private String slbUuid;//负载均衡uuid
    private String protocol;//协议
    private Integer port;//端口
    private Integer intervalInSeconds;//间隔
    private Integer numberOfProbes;//不正常阈值
    private String requestPath;//路径

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSlbUuid() {
        return slbUuid;
    }

    public void setSlbUuid(String slbUuid) {
        this.slbUuid = slbUuid;
    }

    public String getProtocol() {
        return protocol;
    }

    public void setProtocol(String protocol) {
        this.protocol = protocol;
    }

    public Integer getPort() {
        return port;
    }

    public void setPort(Integer port) {
        this.port = port;
    }

    public Integer getIntervalInSeconds() {
        return intervalInSeconds;
    }

    public void setIntervalInSeconds(Integer intervalInSeconds) {
        this.intervalInSeconds = intervalInSeconds;
    }

    public Integer getNumberOfProbes() {
        return numberOfProbes;
    }

    public void setNumberOfProbes(Integer numberOfProbes) {
        this.numberOfProbes = numberOfProbes;
    }

    public String getRequestPath() {
        return requestPath;
    }

    public void setRequestPath(String requestPath) {
        this.requestPath = requestPath;
    }
}